org.apache.bcel.classfile

## Class RuntimeVisibleAnnotations

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.Annotations
    - - org.apache.bcel.classfile.RuntimeVisibleAnnotations

- All Implemented Interfaces:
    Cloneable, Iterable<AnnotationEntry>, Node

      public class RuntimeVisibleAnnotations
      extends Annotations

  represents an annotation that is represented in the class file and is provided to the JVM.
  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, EMPTY_ARRAY, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeVisibleAnnotations(int nameIndex, int length, DataInput input, ConstantPool constantPool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `copy(ConstantPool constantPool)`
    `void` | `dump(DataOutputStream dos)` Dumps attribute to file stream in binary format.

    - ### Methods inherited from class org.apache.bcel.classfile.Annotations

      `accept, getAnnotationEntries, getNumAnnotations, isRuntimeVisible, iterator, setAnnotationTable, toString, writeAnnotations`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### RuntimeVisibleAnnotations

          public RuntimeVisibleAnnotations(int nameIndex,
                                           int length,
                                           DataInput input,
                                           ConstantPool constantPool)
                                    throws IOException

      Parameters:
        `nameIndex` - Index pointing to the name Code
        `length` - Content length in bytes
        `input` - Input stream
        `constantPool` - Array of constants
      Throws:
        `IOException` - Thrown when an I/O exception of some sort has occurred.

  - ### Method Detail

    - #### copy

          public Attribute copy(ConstantPool constantPool)

      Overrides:
        `copy` in class `Annotations`
      Parameters:
        `constantPool` - constant pool to save.
      Returns:
        deep copy of this attribute

    - #### dump

          public final void dump(DataOutputStream dos)
                          throws IOException

      Description copied from class: `Attribute`
      Dumps attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `dos` - Output file stream
      Throws:
        `IOException` - if an I/O error occurs.

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.